Class GetUsersTopArtistsRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Paging<Artist>, GetUsersTopArtistsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Paging<Artist>, GetUsersTopArtistsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataPagingRequest.Builder<Artist, GetUsersTopArtistsRequest.Builder>
se.michaelthelin.spotify.requests.data.users.simplified.GetUsersTopArtistsRequest.Builder
- All Implemented Interfaces:
IPagingRequestBuilder<Artist, GetUsersTopArtistsRequest.Builder>, IRequest.Builder<Paging<Artist>, GetUsersTopArtistsRequest.Builder>
- Enclosing class:
GetUsersTopArtistsRequest
public static final class GetUsersTopArtistsRequest.Builder
extends AbstractDataPagingRequest.Builder<Artist, GetUsersTopArtistsRequest.Builder>
Builder class for building a
GetUsersTopArtistsRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.The limit setter.The offset setter.protected GetUsersTopArtistsRequest.Builderself()Return this instance to simulate a self-type.time_range(String time_range) The time range setter.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newGetUsersTopArtistsRequest.Builderinstance.Getting details of a user's top artists requires authorization of the
user-top-readscope.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.- See Also:
-
-
Method Details
-
limit
The limit setter.- Parameters:
limit- Optional. The number of entities to return. Default: 20. Minimum: 1. Maximum: 50.- Returns:
- A
GetUsersTopArtistsRequest.Builder.
-
offset
The offset setter.- Parameters:
offset- Optional. The index of the first entity to return. Default: 0 (i.e., the first track). Use withlimit(Integer)to get the next set of entities.- Returns:
- A
GetUsersTopArtistsRequest.Builder.
-
time_range
The time range setter.- Parameters:
time_range- Optional. Over what time frame the affinities are computed. Valid values:long_term(calculated from several years of data and including all new data as it becomes available),medium_term(approximately last 6 months),short_term(approximately last 4 weeks). Default:medium_term.- Returns:
- A
GetUsersTopArtistsRequest.Builder.
-
build
The request build method.- Returns:
- A custom
GetUsersTopArtistsRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Paging<Artist>, GetUsersTopArtistsRequest.Builder>- Returns:
- This instance.
-